<?php
/**
 * @file
 * DEIMS data explorer dashboard view, a list of queriable data.
 */
$view = new view();
$view->name = 'data_explorer_dashboard';
$view->description = 'This view will only work when the DEIMS Data Explorer module is enabled. A page (dashboard) to access the data explorer pages';
$view->tag = '';
$view->base_table = 'node';
$view->human_name = 'Data Explorer Dashboard';
$view->core = 7;
$view->api_version = '3.0';
$view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

/* Display: Master */
$handler = $view->new_display('default', 'Master', 'default');
$handler->display->display_options['title'] = 'Data Explorer Dashboard';
$handler->display->display_options['use_more_always'] = FALSE;
$handler->display->display_options['access']['type'] = 'perm';
$handler->display->display_options['cache']['type'] = 'time';
$handler->display->display_options['cache']['results_lifespan'] = '21600';
$handler->display->display_options['cache']['results_lifespan_custom'] = '';
$handler->display->display_options['cache']['output_lifespan'] = '1800';
$handler->display->display_options['cache']['output_lifespan_custom'] = '0'; 
$handler->display->display_options['query']['type'] = 'views_query';
$handler->display->display_options['exposed_form']['type'] = 'basic';
$handler->display->display_options['pager']['type'] = 'mini';
$handler->display->display_options['pager']['options']['items_per_page'] = '30';
$handler->display->display_options['pager']['options']['offset'] = '0';
$handler->display->display_options['pager']['options']['id'] = '0';
$handler->display->display_options['style_plugin'] = 'datatables';
/* Header: Global: Text area */
$handler->display->display_options['header']['area']['id'] = 'area';
$handler->display->display_options['header']['area']['table'] = 'views';
$handler->display->display_options['header']['area']['field'] = 'area';
$handler->display->display_options['header']['area']['label'] = 'Help';
$handler->display->display_options['header']['area']['content'] = 'Click on the "Explore (data)" link for the data set whose data you want to subset or filter.  You may also visit the data set information on the Data Set title. Once in the next screen, ypu will be able to pick the columns you want to dowlnoad, and filter for any range you wish.';
$handler->display->display_options['header']['area']['format'] = 'filtered_html';
$handler->display->display_options['header']['area']['tokenize'] = TRUE;
/* Relationship: Entity Reference: Referencing entity */
$handler->display->display_options['relationships']['reverse_field_data_sources_node']['id'] = 'reverse_field_data_sources_node';
$handler->display->display_options['relationships']['reverse_field_data_sources_node']['table'] = 'node';
$handler->display->display_options['relationships']['reverse_field_data_sources_node']['field'] = 'reverse_field_data_sources_node';
/* Field: Content: Title */
$handler->display->display_options['fields']['title']['id'] = 'title';
$handler->display->display_options['fields']['title']['table'] = 'node';
$handler->display->display_options['fields']['title']['field'] = 'title';
$handler->display->display_options['fields']['title']['label'] = '';
$handler->display->display_options['fields']['title']['exclude'] = TRUE;
$handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
$handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
$handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
$handler->display->display_options['fields']['title']['link_to_node'] = FALSE;
/* Field: Content: Title */
$handler->display->display_options['fields']['title_1']['id'] = 'title_1';
$handler->display->display_options['fields']['title_1']['table'] = 'node';
$handler->display->display_options['fields']['title_1']['field'] = 'title';
$handler->display->display_options['fields']['title_1']['relationship'] = 'reverse_field_data_sources_node';
$handler->display->display_options['fields']['title_1']['label'] = 'Data Set Title';
/* Field: Content: Nid */
$handler->display->display_options['fields']['nid']['id'] = 'nid';
$handler->display->display_options['fields']['nid']['table'] = 'node';
$handler->display->display_options['fields']['nid']['field'] = 'nid';
$handler->display->display_options['fields']['nid']['label'] = 'Link to Data Explorer';
$handler->display->display_options['fields']['nid']['alter']['alter_text'] = TRUE;
$handler->display->display_options['fields']['nid']['alter']['text'] = '<a href="node/[nid]/data">Explore [title]</a>';
$handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
/* Sort criterion: Content: Post date */
$handler->display->display_options['sorts']['created']['id'] = 'created';
$handler->display->display_options['sorts']['created']['table'] = 'node';
$handler->display->display_options['sorts']['created']['field'] = 'created';
$handler->display->display_options['sorts']['created']['order'] = 'DESC';
/* Filter criterion: Content: Published */
$handler->display->display_options['filters']['status']['id'] = 'status';
$handler->display->display_options['filters']['status']['table'] = 'node';
$handler->display->display_options['filters']['status']['field'] = 'status';
$handler->display->display_options['filters']['status']['value'] = 1;
$handler->display->display_options['filters']['status']['group'] = 1;
$handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
/* Filter criterion: Content: Type */
$handler->display->display_options['filters']['type']['id'] = 'type';
$handler->display->display_options['filters']['type']['table'] = 'node';
$handler->display->display_options['filters']['type']['field'] = 'type';
$handler->display->display_options['filters']['type']['value'] = array(
  'data_source' => 'data_source',
);
/* Filter criterion: Content: Remote Data Source (field_deims_data_explorer:table) */
$handler->display->display_options['filters']['field_deims_data_explorer_table']['id'] = 'field_deims_data_explorer_table';
$handler->display->display_options['filters']['field_deims_data_explorer_table']['table'] = 'field_data_field_deims_data_explorer';
$handler->display->display_options['filters']['field_deims_data_explorer_table']['field'] = 'field_deims_data_explorer_table';
$handler->display->display_options['filters']['field_deims_data_explorer_table']['operator'] = 'not empty';
/* Display: Page */
$handler = $view->new_display('page', 'Page', 'page');
$handler->display->display_options['path'] = 'data-explorer-dashboard';
